Description

In the new portal, I can only accept 'All requests', not individual requests. 

Column 'All' means??? 

Maybe change column All to Select, and then buttons Accept selected / Reject selected?

See screenshot for current options. 

History

#1 - Jul 26, 2016 09:37 AM - Pasquale Pagano

- Assignee set to Massimiliano Assante

#2 - Jul 26, 2016 10:10 AM - Massimiliano Assante

- Status changed from New to In Progress

- Assignee changed from Massimiliano Assante to Panagiota Koltsida

you should select the user you want to accept first then the accept button will appear

#3 - Jul 26, 2016 10:50 AM - Anton Ellenbroek

The user admin looks much better than the previous version, but I still have a few comments. 

Users' request

I clicked on the record, but the 'All' field did not react as it did in the Users management.

Select all did the job, but I can not recall seeing the 'All'field checked. (will check next time)

Some other suggestions:

Users' request = Join VRE requests

Grant/deny access to VRE  -- Add the name of the VRE

In Users management:

If the 'Accept selected'is dynamic, can also the record browser at the bottom be dynamic? e.g. showing only when there are more records than can be

displayed in the panel?  Showing 1 of 1 record looks odd.

The double click pops out the user details, we might as well open the edit panel immediately?

If a text is too long for the field, it pops up a balloon. This now 'blocks' access to the 'All field'. Maybe position to the right?

The selection of colors is a bit unfortunate, with the lighter being the active, where users I believe expect that the active color has more emphasis. 

In the Edit user pane;

mass edit selected users = Edit selected user(s)

Dates now are great, but can we also set an end date (in the future only, off course)

#4 - Jul 26, 2016 11:54 AM - Pasquale Pagano

- Tracker changed from Support to Task

@anton.ellenbroek@fao.org thanks for the suggestions. I am going to change the tracker since the support request has been solved I think.

@p.koltsida@di.uoa.gr could you say if the improvements can be release for the release 4.1? 

#5 - Jul 26, 2016 12:05 PM - Panagiota Koltsida

Thank you for the feedback. We will check all suggestions and try to make them available in 4.1

@pasquale.pagano@isti.cnr.it when is the 4.1 release planned?
As Massimiliano stated, you can accept the users you want but first you need to select them. Accept all is an easy way to accept everyone and avoid

multiple clicks.

In addition single click appears the user details. I'm not into the idea of opening the edit panel by double clicking, I still prefer the selection option. It is

an action that makes changes and is better that way. In addition it will be confused for the end users to have a similar way to "view all details" and to

"edit roles and groups"

#6 - Jul 26, 2016 12:14 PM - Pasquale Pagano

Release 4.1 will be opened and closed in September. 

#7 - Aug 02, 2016 01:44 PM - Panagiota Koltsida

- % Done changed from 0 to 30

#8 - Aug 25, 2016 04:39 PM - Panagiota Koltsida

- % Done changed from 30 to 70

#9 - Aug 29, 2016 02:31 PM - Anton Ellenbroek

- File picture446-1.png added

Another comment; the pop-up prevents me from clicking the select field. Can the behaviour of the pop-up with the filed info be changed to make it

disappear when user clicks somewhere? (see attachment for example how it prevents me from accessing the "All" field. BTW, "All" is still an odd

name for this field)

#10 - Aug 29, 2016 02:37 PM - Anton Ellenbroek

- File picture165-1.png added

FYI; If there is more than one user request, the pop-up with detail info only appear on the first request. 

See attachment for an example. 

#11 - Nov 29, 2016 11:05 AM - Panagiota Koltsida

- Status changed from In Progress to Closed

- % Done changed from 70 to 100
